Loading...
Searching...
No Matches
Activation
Globus Callout API

Callback API Activation. More...

## Macros

#define | GLOBUS_CALLOUT_MODULE

## Variables

globus_module_descriptor_t | globus_i_callout_module

## Detailed Description

Callback API Activation.

Globus Callout API uses standard Globus module activation and deactivation. Before any Globus Callout API functions are called, the following function must be called:

globus_module_activate(GLOBUS_CALLOUT_MODULE)
GLOBUS_CALLOUT_MODULE
#define GLOBUS_CALLOUT_MODULE
Definition globus_callout.h:118

This function returns GLOBUS_SUCCESS if Globus Callout API was successfully initialized, and you are therefore allowed to subsequently call Globus Callout API functions. Otherwise, an error code is returned, and Globus GSI Credential functions should not be subsequently called. This function may be called multiple times.

To deactivate Globus Callout API, the following function must be called:

globus_module_deactivate(GLOBUS_CALLOUT_MODULE)

This function should be called once for each time Globus Callout API was activated.

## Macro Definition Documentation

## GLOBUS_CALLOUT_MODULE

#define GLOBUS_CALLOUT_MODULE

Module descriptor

## Variable Documentation

## globus_i_callout_module

globus_module_descriptor_t globus_i_callout_module

Initial value:
=
{
"globus_callout_module",
globus_l_callout_activate,
globus_l_callout_deactivate,
GLOBUS_NULL,
GLOBUS_NULL,
&local_version
}

Module descriptor static initializer.